Unzip provoca un fallo en Ubuntu

La página oficial de Canonical ha anunciado, dentro de su sección de alertas, un fallo en el programa unzip, en diferentes versiones de Ubuntu.

Las versiones afectadas son las siguientes:

  • Ubuntu 14.10
  • Ubuntu 14.04 LTS
  • Ubuntu 12.04 LTS
  • Ubuntu 10.04 LTS

Descripción del fallo de unzip

Según leemos, dicho fallo podría permitir a scripts maliciosos utilizar la aplicación para romper o ejecutar programas.

 

ubuntu-linux-150

Explicación

Parece ser que el usuario Wolfgang Ettlinger descubrió que el programa descomprimía de manera incorrecta ciertos archivos. Esto podría hacer que el usuario o el sistema fueran engañados, permitiendo así a un atacante ejecutuar código de manera arbitraria.

Solución

Basta con actualizar nuestro sistema operativo utilizando las ordenes:

1
apt-get -y update
1
apt-get -y dist-upgrade

Haciendo este paso nuestro sistema volverá a estar a salvo : )

Les dejo el enlace al aviso de Ubuntu, aquí.

See you soon!!

You may also like...

Deja un comentario

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *

Uso de cookies

Este sitio web utiliza cookies para que usted tenga la mejor experiencia de usuario. Si continúa navegando está dando su consentimiento para la aceptación de las mencionadas cookies y la aceptación de nuestra política de cookies, pinche el enlace para mayor información.plugin cookies

ACEPTAR